The POST method on the screening webhook test path will trigger a simulated payload to the destination URL with the webhook key in the “x-webhook-key” header. The header and payload will have the same structure as the payload in production, so it is possible to use the webhook test endpoint during development to test the service logic handling for the configured webhooks. The best use case for this test endpoint and method is to ensure that the destination server and path are properly configured and that the webhook key can be received and authenticated properly.
Notice: the provided fields will be echoed through as-is, so no conditional simulation is being applied on the test endpoint at this time to check that the values in the fields appropriately match the configured conditions to trigger the webhook. Therefore, it is necessary to provide the desired fields in the webhook test input to trigger the logic configured in your service implementation appropriately.
Admin API key for authentication
The unique identifier of the webhook to test
Request body for testing a screening webhook
The mock event kind to send in the webhook payload. This will flow through transparently to the mock payload that is sent through to the webhook destination URL.
profile_status_updated "profile_status_updated"
The mock event value to send in the webhook payload. This will flow through transparently to the mock payload that is sent through to the webhook destination URL.
potential_match, accepted, rejected "potential_match"
The mock flags that should be sent in the latestFlags webhook payload field. These values are interpreted and mutated into true object mocks in the webhook payload that is sent to the destination URL.
Sanctions, PEP, News, Criminal, Legal, Registries, Ownership, Offshore, Open Source, Social Media ["Sanctions", "PEP", "News"]The mock profile ID that should be sent in the payload to the destination URL. This is an optional field that can be provided if testing the webhook update for a specific Minerva profile ID within your service logic is desired.
"minerva-profile-id-1"
The mock external ID that should be sent in the payload to the destination URL. This is an optional field that can be provided if testing the webhook update for a specific external system ID within your service logic is desired.
"user-profile-id-1"